using System.Collections.Generic;
using UnityEngine;
using Wizard.UIFriend;

public class RoomInviteFriendColum : FriendDataBase
{
	[SerializeField]
	public UIButton ButtonObject;

	[SerializeField]
	private UISprite _guildIcon;

	[SerializeField]
	private UISprite _friendIcon;

	[SerializeField]
	private UILabel ButtonLabel;

	[SerializeField]
	public GameObject UnderLineObject;

	protected int EmblemId;

	protected int DegreeId;

	protected int RankId;

	public override void SetPlayerData(Friend.PlayerData inPlayerData, List<string> inLoadList)
	{
		base.SetPlayerData(inPlayerData, inLoadList);
		if (_guildIcon != null)
		{
			_guildIcon.gameObject.SetActive(inPlayerData.IsSameGuildMember);
		}
		if (_friendIcon != null)
		{
			_friendIcon.gameObject.SetActive(inPlayerData.isFriend);
		}
	}
}
